/**
 * Created by Farhad on 8/22/2015.
 */
(function (angular) {
    angular
        .module('todoList.list')
        .factory('ListService', ListService);

    ListService.$inject = ['$resource'];

    /* @ngInject */
    function ListService($resource) {
        return $resource('/api/list/:listId', {listId: "@listId"}, {
            'update': {method: 'PUT'}
        });
    }
})(angular);